module Config.Colour exposing (..)

import Element exposing (..)
import Element.Background as B
import Element.Font as F
import Html.Attributes as H exposing (style)


type alias Theme =
    { nonHighlightedText : Color
    , nonHighlightedDarkText : Color
    , highlightText : Color
    , highlightTextHover : Color
    , backgroundColour : Color
    , debugColour : Color
    }


colourTheme : Theme
colourTheme =
    { nonHighlightedText = rgb255 212 212 212
    , nonHighlightedDarkText = rgb255 126 126 126
    , highlightText = rgb255 204 102 0
    , highlightTextHover = rgb255 120 60 0
    , backgroundColour = rgb255 40 40 40
    , debugColour = rgb255 227 28 121
    }
