module Debate.Arguments.Nutrition.CarbsObesity exposing (..)

import Debate.Types exposing (..)


argumentCarbsObesity : Argument
argumentCarbsObesity =
    { argumentTitle = "Argument Against the Obesogenic Carbohydrates"
    , propositionTitle = "Carbohydrates do not uniquely cause fat accumulation or obesity."
    , propositionReductio = ""
    , propositionSummary = "There are a number of predictions made from the hypothesis that carbohydrates uniquely cause obesity. One of those predictions is that obesity would track with carbohydrate intake, but it doesn't"
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(~3Q)|=(~3P)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "carbs uniquely cause fat accumulation or obesity"
          }
        , { definiendum = "Q"
          , definiens = "populations with high carb diets have uniquely higher rates of obesity after adjustment or control over relevant confounders and covariates"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If carbohydrates uniquely cause fat accumulation or obesity, then, populations with high carbohydrate diets have uniquely higher rates of obesity after adjustment or control over relevant confounders and covariates."
                  , notation = "(P→Q)"
                  }
                , { premise = "Populations with high carbohydrate diets do not have uniquely higher rates of obesity after adjustment or control over relevant confounders and covariates."
                  , notation = "(¬Q)"
                  }
                ]
          , conclusion = "Therefore, carbs do not uniquely cause fat accumulation or obesity."
          , conclusionNotation = "(∴¬P)"
          }
        ]
    }