module Debate.Arguments.Nutrition.HealthPromotingFoods exposing (..)

import Debate.Types exposing (..)

argumentHealthPromotingFoods : Argument
argumentHealthPromotingFoods =
    { argumentTitle = "Argument for Food's Inherent Health Value"
    , propositionTitle = "All foods are definitionally health-promoting."
    , propositionReductio = ""
    , propositionSummary = "Given that food is, by its very definition, material that provides essential nutrients and energy to sustain bodily functions and growth, it follows that anything classified as food must be inherently health-promoting by its very nature."
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(P)|=(Q)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "food is defined as material consisting essentially of protein, carbohydrate, and/or fat used in the body of an organism to sustain growth, repair, and vital processes and to furnish energy"
          }
        , { definiendum = "Q"
          , definiens = "all foods are definitionally health-promoting"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If food is defined as material consisting essentially of protein, carbohydrate, and/or fat used in the body of an organism to sustain growth, repair, and vital processes and to furnish energy, then all foods are definitionally health-promoting."
                  , notation = "(P→Q)"
                  }
                , { premise = "Food is defined as material consisting essentially of protein, carbohydrate, and/or fat used in the body of an organism to sustain growth, repair, and vital processes and to furnish energy."
                  , notation = "(P)"
                  }
                ]
          , conclusion = "Therefore, all foods are definitionally health-promoting."
          , conclusionNotation = "(∴Q)"
          }
        ]
    }
