module Debate.Arguments.Nutrition.Omega3Omega6Ratio exposing (..)

import Debate.Types exposing (..)

argumentOmega3Omega6Ratio : Argument
argumentOmega3Omega6Ratio =
    { argumentTitle = "Argument Against the Omega-6/Omega-3 Ratio"
    , propositionTitle = "The omega-6/omega-3 ratio is unlikely to matter for health."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(~3Q)|=(~3P)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "increases or decreases in disease risk associated with a high or low omega-6/omega-3 ratio are better explained by changes in omega-3 alone"
          }
        , { definiendum = "Q"
          , definiens = "the omega-6/omega-3 ratio is likely to matter for health"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If increases or decreases in disease risk associated with a high or low omega-6/omega-3 ratio are better explained by changes in omega-3 alone, then the omega-6/omega-3 ratio is not likely to matter for health."
                  , notation = "(P→¬Q)"
                  }
                , { premise = "Increases or decreases in disease risk associated with a high or low omega-6/omega-3 ratio are better explained by changes in omega-3 alone."
                  , notation = "(P)"
                  }
                ]
          , conclusion = "Therefore, the omega-6/omega-3 ratio is not likely to matter for health."
          , conclusionNotation = "(∴¬Q)"
          }
        ]
    }