module Debate.Arguments.Nutrition.OptimalDiet exposing (..)

import Debate.Types exposing (..)


argumentOptimalDiet : Argument
argumentOptimalDiet =
    { argumentTitle = "Argument for the Artificial Manipulation of Food"
    , propositionTitle = "The optimal human diet is likely heavily artificial."
    , propositionReductio = ""
    , propositionSummary = "Optimal diets will be a technological breakthrough, meaning that the diets that are best for humans just haven't been invented yet."
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(P)|=(Q)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "the health value of natural foods can be improved via artificial manipulation"
          }
        , { definiendum = "Q"
          , definiens = "the optimal human diet is likely heavily artificial"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If the health value of natural foods can be improved via artificial manipulation, then the optimal human diet is likely heavily artificial."
                  , notation = "(P→Q)"
                  }
                , { premise = "The health value of natural foods can be improved via artificial manipulation."
                  , notation = "(P)"
                  }
                ]
          , conclusion = "Therefore, the optimal human diet is likely heavily artificial."
          , conclusionNotation = "(∴Q)"
          }
        ]
    }