module Debate.Arguments.Nutrition.UnhealthyProcessedMeat exposing (..)

import Debate.Types exposing (..)


argumentUnhealthyProcessedMeat : Argument
argumentUnhealthyProcessedMeat =
    { argumentTitle = "Argument for Overwhelmingly Unhealthy Processed Meat"
    , propositionTitle = "Processed meat is overwhelmingly unhealthy."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(Qs)|=(Ps)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly unhealthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "x"
          , definiens = "a food"
          }
        , { definiendum = "s"
          , definiens = "processed meat"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, a food is overwhelmingly unhealthy if, and only if, the food consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px↔Qx))"
                  }
                , { premise = "Processed meat consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(Qs)"
                  }
                ]
          , conclusion = "Therefore, processed meat is overwhelmingly unhealthy."
          , conclusionNotation = "(∴Ps)"
          }
        ]
    }
