module Debate.Arguments.Nutrition.UnhealthyRedMeat exposing (..)

import Debate.Types exposing (..)


argumentUnhealthyRedMeat : Argument
argumentUnhealthyRedMeat =
    { argumentTitle = "Argument for Overwhelmingly Unhealthy Red Meat"
    , propositionTitle = "Red meat and processed meat are overwhelmingly unhealthy."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(Qm)|=(Pm)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly unhealthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "x"
          , definiens = "a food"
          }
        , { definiendum = "m"
          , definiens = "unprocessed red meat"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, a food is overwhelmingly unhealthy if, and only if, the food consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px↔Qx))"
                  }
                , { premise = "Unprocessed red meat consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(Qm)"
                  }
                ]
          , conclusion = "Therefore, unprocessed red meat is overwhelmingly unhealthy."
          , conclusionNotation = "(∴Pm)"
          }
        ]
    }
