module Debate.Arguments.Nutrition.UnhealthySaturatedFat exposing (..)

import Debate.Types exposing (..)


argumentUnhealthySaturatedFat : Argument
argumentUnhealthySaturatedFat =
    { argumentTitle = "Argument Against Saturated Fat"
    , propositionTitle = "Most sources of saturated fat are overwhelmingly unhealthy."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(Qf)|=(Pf)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is overwhelmingly unhealthy"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates"
          }
        , { definiendum = "x"
          , definiens = "a food"
          }
        , { definiendum = "f"
          , definiens = "most sources of saturated fat"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, a food is overwhelmingly unhealthy if, and only if, the food consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(∀x(Px↔Qx))"
                  }
                , { premise = "Most sources of saturated fat consistently associates with an increased risk of morbidity and mortality after adjustment or control over relevant confounders and covariates."
                  , notation = "(Qf)"
                  }
                ]
          , conclusion = "Therefore, most sources of saturated fat are overwhelmingly unhealthy."
          , conclusionNotation = "(∴Pf)"
          }
        ]
    }
