module Debate.Arguments.Philosophy.AntiVandalism exposing (..)

import Debate.Types exposing (..)


argumentAntiVandalism : Argument
argumentAntiVandalism =
    { argumentTitle = "Argument Against Zoo Vandalism"
    , propositionTitle = "Vandalizing zoos increases the probability of harming the animals they keep."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(P),(Q~5R)%7C=(R)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "zoos must spend extra money cleaning graffiti"
          }
        , { definiendum = "Q"
          , definiens = "zoos will have less money to devote to animal care"
          }
        , { definiendum = "R"
          , definiens = "vandalizing zoos increases the probability of harming the animals they keep"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If zoos must spend extra money cleaning graffiti, then zoos will have less money to devote to animal care."
                  , notation = "(P→Q)"
                  }
                , { premise = "Zoos must spend extra money cleaning graffiti."
                  , notation = "(P)"
                  }
                , { premise = "If zoos will have less money to devote to animal care, then vandalizing zoos increases the probability of harming the animals they keep."
                  , notation = "(Q→R)"
                }
                ]
          , conclusion = "Therefore, vandalizing zoos increases the probability of harming the animals they keep."
          , conclusionNotation = "(∴R)"
          }
        ]
    }