module Debate.Arguments.Philosophy.ColonizingNature exposing (..)

import Debate.Types exposing (..)


argumentColonizingNature : Argument
argumentColonizingNature =
    { argumentTitle = "Argument for the Non-Violence Displacement of Nature"
    , propositionTitle = "We are justified in displacing nature into non-existence"
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(P~1~3Q~1~3R~1~3S~5W),(P),(~3Q),(~3R),(~3S)%7C=(W)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "the natural world contains intolerable rights violations"
          }
        , { definiendum = "Q"
          , definiens = "we know that nature is net positive or net negative for utility"
          }
        , { definiendum = "R"
          , definiens = "there is any known practical means by which to end the rights violations beyond the use of force"
          }
        , { definiendum = "S"
          , definiens = "the natural world is currently instrumentally vital to facilitating human flourishing"
          }
        , { definiendum = "W"
          , definiens = "we are justified in displacing nature into non-existence"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If the natural world contains intolerable rights violations and we do not know that nature is net positive or net negative for utility and there is not any known practical means by which to end the rights violations beyond the use of force and the natural world is not currently instrumentally vital to facilitating human flourishing, then we are justified in displacing nature into non-existence."
                  , notation = "(P∧¬Q∧¬R∧¬S→W)"
                  }
                , { premise = "Nature entails intolerable rights violations."
                  , notation = "(P)"
                  }
                , { premise = "We do not know if nature is net positive or net negative for utility."
                  , notation = "(¬Q)"
                  }
                , { premise = "There is not any known practical means by which to end the rights violations beyond the use of force."
                  , notation = "(¬R)"
                  }
                , { premise = "The natural world is not currently instrumentally vital to facilitating human flourishing."
                  , notation = "(¬S)"
                  }
                ]
          , conclusion = "Therefore, we are justified in displacing nature into non-existence."
          , conclusionNotation = "(W∴)"
          }
        ]
    }