module Debate.Arguments.Philosophy.CropDeaths exposing (..)

import Debate.Types exposing (..)


argumentCropDeaths : Argument
argumentCropDeaths =
    { argumentTitle = "Cropland vs Wildland Argument"
    , propositionTitle = "Proposition"
    , propositionReductio = ""
    , propositionSummary = "We can't claim to know that cropland kills more animals than wildland, because if we did know this, there would be evidence for it, and there isn't any such evidence."
    , proofLink  = "https://www.umsu.de/trees/#(P~5Q),(~3Q)%7C=(~3P)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "it is known that cropland leads to more animal death than wildland"
          }
        , { definiendum = "Q"
          , definiens = "there is evidence that cropland leads to more animal death than wildland"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If it is known that cropland leads to more animal death than wildland, then there is evidence that cropland leads to more animal death than wildland."
                  , notation = "(P→Q)"
                  }
                , { premise = "There is not evidence that cropland leads to more animal death than wildland."
                  , notation = "(P)"
                  }
                ]
          , conclusion = "Therefore, it is not known that cropland leads to more animal death than wildland."
          , conclusionNotation = "(∴¬P)"
          }
        ]
    }