module Debate.Arguments.Philosophy.EfilismPatrolSquad exposing (..)

import Debate.Types exposing (..)


argumentEfilismPatrolSquad : Argument
argumentEfilismPatrolSquad =
    { argumentTitle = "The Eternal Intergalactic Sentience Patrol Squad"
    , propositionTitle = "Efilists are committed to pragmatic natalism."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(P~5Q),(~3Q),(~3P~1R~5~3S),(R),(~3S~5W)|=(W)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "humans abstaining from procreation maximally reduces rights violations"
          }
        , { definiendum = "Q"
          , definiens = "humans have sterilized all sentient life in the universe"
          }
        , { definiendum = "R"
          , definiens = "many more generations are required to sterilize all sentient life in the universe"
          }
        , { definiendum = "S"
          , definiens = "efilists should abstain from procreation until all sentient life in the universe is sterilized"
          }
        , { definiendum = "W"
          , definiens = "efilists are committed to pragmatic natalism"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If humans abstaining from procreation maximally reduces rights violations, then humans have sterilized all sentient life in the universe."
                  , notation = "(P→Q)"
                  }
                , { premise = "Humans have not sterilized all sentient life in the universe."
                  , notation = "(¬Q)"
                  }
                , { premise = "If humans abstaining from procreation does not maximally reduce rights violations and many more generations are required to sterilize all sentient life in the universe, then efilists should not abstain from procreation until all sentient life in the universe is sterilized."
                  , notation = "(¬P∧R→¬S)"
                  }
                , { premise = "Many more generations are required to sterilize all sentient life in the universe."
                  , notation = "(R)"
                  }
                , { premise = "If efilists should not abstain from procreation until all sentient life in the universe is sterilized, then efilists are committed to pragmatic natalism."
                  , notation = "(¬S→W)"
                  }
                ]
          , conclusion = "Therefore, efilists are committed to pragmatic natalism."
          , conclusionNotation = "(∴W)"
          }
        ]
    }
