module Debate.Arguments.Philosophy.ScratcherPioneers exposing (..)

import Debate.Types exposing (..)


argumentScratcherPioneers : Argument
argumentScratcherPioneers =
    { argumentTitle = "Tattoo Pioneers were Scratchers"
    , propositionTitle = "The original trailblazers of modern tattooing were scratchers."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx~2Rx~2Sx)),(Qt),(Rt),(St)%7C=(Pt)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is a scratcher"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) tattoos without a license"
          }
        , { definiendum = "R(x)"
          , definiens = "(x) tattoos without observing basic health standards"
          }
        , { definiendum = "S(x)"
          , definiens = "(x) tattoos without having undertaken apprenticeship"
          }
        , { definiendum = "x"
          , definiens = "a tattoo artist"
          }
        , { definiendum = "t"
          , definiens = "original trailblazers of modern tattooing"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "A tattoo artist is a scratcher if, and only if, the tattoo artist tattoos without a license and/or one tattoos without observing basic health standards and/or one tattoos without having undertaken apprenticeship."
                  , notation = "(∀x(Px↔Qx∨Rx∨Sx))"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without licenses."
                  , notation = "(Qt)"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without observing basic health standards."
                  , notation = "(Rt)"
                  }
                , { premise = "The original trailblazers of modern tattooing tattooed without having undertaken apprenticeship."
                  , notation = "(St)"
                  }
                ]
          , conclusion = "Therefore, the original trailblazers of modern tattooing were scratchers."
          , conclusionNotation = "(∴Pt)"
          }
        ]
    }
