module Debate.Arguments.Politics.BoobyTrapPagers exposing (..)

import Debate.Types exposing (..)


argumentBoobyTrapPagers : Argument
argumentBoobyTrapPagers =
    { argumentTitle = "Argument Against Israeli Pagers as Booby-Traps"
    , propositionTitle = "The Israeli pagers were not booby-traps."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Px~4(Qx~1Rx~1Sx))),(Qp),(Rp),(~3Sp)|=(~3Pp)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is a booby-trap"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) is a device or material"
          }
        , { definiendum = "R(x)"
          , definiens = "(x) is designed, constructed, or adapted to kill or injure"
          }
        , { definiendum = "S(x)"
          , definiens = "(x) functions (as a device or material that was designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act"
          }
           , { definiendum = "x"
          , definiens = "a device"
          }
        , { definiendum = "p"
          , definiens = "Israeli pagers"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, a device is a booby-trap if, and only if, the device is a device or material AND the device is designed, constructed, or adapted to kill or injure AND x functions (as a device or material that was designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act."
                  , notation = "(∀x(Px↔(Qx∧Rx∧Sx)))"
                  }
                , { premise = "The Israeli pagers were devices or materials."
                  , notation = "(Qp)"
                  }
                , { premise = "The Israeli pagers were designed, constructed, or adapted to kill or injure."
                  , notation = "(Rp)"
                  }
                , { premise = "The Israeli pagers did not function (as devices or materials that were designed, constructed, or adapted to kill or injure) when a person disturbs or approaches an apparently safe act."
                  , notation = "(¬Sp)"
                  }
                ]
          , conclusion = "Therefore, the Israeli pagers were not booby-traps."
          , conclusionNotation = "(∴¬Pp)"
          }
        ]
    }