module Debate.Arguments.Science.EpidemiologyCausality exposing (..)

import Debate.Types exposing (..)


argumentEpidemiologyCausality : Argument
argumentEpidemiologyCausality =
    { argumentTitle = "Argument for Nutritional Epidemiology"
    , propositionTitle = "Nutritional epidemiology generally provides good causal estimates."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~5Qx)),(Pe)|=(Qe)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) consistently identifies associations that are later confirmed by randomized controlled trials"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) generally provides good causal estimates"
          }
        , { definiendum = "x"
          , definiens = "a research method"
          }
        , { definiendum = "e"
          , definiens = "nutritional epidemiology"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, if a research method consistently identifies associations that are later confirmed by randomized controlled trials, then the research method generally provides good causal estimates."
                  , notation = "(∀x(Px→Qx))"
                  }
                , { premise = "Nutritional epidemiology consistently identifies associations that are later confirmed by randomized controlled trials."
                  , notation = "(P)e"
                  }
                ]
          , conclusion = "Therefore, nutritional epidemiology generally provides good causal estimates."
          , conclusionNotation = "(∴Qe)"
          }
        ]
    }
