module Debate.Arguments.Philosophy.AnimalRights exposing (..)

import Debate.Types exposing (..)


argumentAnimalRights : Argument
argumentAnimalRights =
    { argumentTitle = "Argument for Animal Rights"
    , propositionTitle = "We should not exploit animals to any greater degree than we would tolerate for humans."
    , propositionReductio = ""
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~5~3Qx)),(~3Pa~5~7t(Rta~5(Rth~5~3Ph))),(~3~7t(Rta~5(Rth~5~3Ph))),(Pa)|=(~3Qa)"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) has moral worth"
          }
        , { definiendum = "Q(x)"
          , definiens = "we should exploit (x) to any greater degree than we would tolerate for humans"
          }
           , { definiendum = "R(t,x)"
          , definiens = "there exists a (t) that is absent in (x)"
          }
        , { definiendum = "x"
          , definiens = "a being"
          }
        , { definiendum = "t"
          , definiens = "trait"
          }
        , { definiendum = "a"
          , definiens = "animal"
          }
        , { definiendum = "h"
          , definiens = "human"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, if a being has moral worth, then we should not exploit it to any greater degree than we would tolerate for humans."
                  , notation = "(∀x(Px→¬Qx))"
                  }
                , { premise = "If animals don’t have moral worth, then there exists a trait that is absent in animals such that if it were absent in humans, humans wouldn’t have moral worth."
                  , notation = "(¬Pa→∃t(Rta→(Rth→¬Ph)))"
                  }
                , { premise = "There doesn’t exist a trait that is absent in animals such that if it were absent in humans, humans wouldn’t have moral worth"
                  , notation = "(¬∃t(Rta→(Rth→¬Ph)))"
                  }
                ]
          , conclusion = "Therefore, we should not exploit animals to any greater degree than we would tolerate for humans."
          , conclusionNotation = "(∴¬Qa)"
          }
        ]
    }
